<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@color/white">

    <LinearLayout
        android:layout_gravity="top"
        android:gravity="center"
        android:background="@color/login_title_bk"
        android:layout_width="match_parent"
        android:layout_height="200sp">
        <TextView
            android:gravity="center"
            android:textColor="@color/white"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="30sp"
            android:layout_marginStart="16sp"
            android:layout_marginEnd="16sp"
            android:text="@string/system_name"/>

    </LinearLayout>

    <LinearLayout
        android:layout_gravity="center"
        android:orientation="vertical"
        android:layout_marginLeft="10sp"
        android:layout_marginRight="10sp"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">


        <LinearLayout
            android:orientation="horizontal"
            android:layout_gravity="center"
            android:paddingLeft="20sp"
            android:gravity="center"
            android:drawableBottom="@drawable/shape_loginbtn"
            android:layout_width="match_parent"
            android:layout_height="60sp">

<!--            <TextView-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:textColor="@color/white"-->
<!--                android:gravity="center"-->
<!--                android:textSize="26sp"-->
<!--                android:text="工号:"/>-->

            <com.xw.repo.XEditText
                android:id="@+id/et_username"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingStart="20sp"
                android:paddingBottom="10sp"
                android:textColor="@color/black"
                android:textColorHint="@color/gray"
                android:hint="用户名"
                android:text="cangguan"
                android:inputType="text"
                app:x_clearDrawable="@mipmap/ic_del"
                tools:ignore="RtlSymmetry" />
        </LinearLayout>
        <LinearLayout
            android:orientation="horizontal"
            android:layout_gravity="center"
            android:gravity="center"
            android:layout_marginTop="16sp"
            android:paddingStart="20sp"
            android:layout_width="match_parent"
            android:layout_height="60sp"
            tools:ignore="RtlSymmetry">

<!--            <TextView-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:textColor="@color/white"-->
<!--                android:gravity="center"-->
<!--                android:textSize="26sp"-->
<!--                android:text="密码:"/>-->

            <com.xw.repo.XEditText
                android:id="@+id/et_password"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20sp"
                android:paddingRight="10sp"
                android:textColor="@color/black"
                android:hint="请输入密码"
                android:text="Qwe123.@1"
                android:textColorHint="@color/gray"
                android:paddingBottom="10sp"
                android:inputType="textPassword"
                app:x_clearDrawable="@mipmap/ic_del"
                app:x_hidePwdDrawable="@mipmap/ic_close_eye"
                app:x_showPwdDrawable="@mipmap/ic_open_eye"/>
        </LinearLayout>

        <LinearLayout
            android:layout_gravity="center"
            android:gravity="left|center"
            android:layout_marginTop="16sp"
            android:paddingStart="20sp"
            android:layout_width="match_parent"
            android:layout_height="60sp">

            <com.xw.repo.XEditText
                android:id="@+id/et_verifyCode"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingStart="20sp"
                android:layout_weight="1"
                android:paddingBottom="10sp"
                android:textColor="@color/black"
                android:textColorHint="@color/gray"
                android:hint="请输入验证码"
                android:inputType="text"
                app:x_clearDrawable="@mipmap/ic_del"
                tools:ignore="RtlSymmetry" />

            <ImageView
                android:id="@+id/img_code"
                android:layout_width="match_parent"
                android:layout_height="36sp"
                android:layout_weight="2"
                android:scaleType="fitXY"
               >

            </ImageView>

        </LinearLayout>

<!--        <CheckBox-->
<!--            android:id="@+id/ch"-->
<!--            android:layout_width="wrap_content"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:checked="true"-->
<!--            android:text="记住密码"/>-->

        <Button
            android:id="@+id/btn_login"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="20sp"
            android:layout_marginLeft="36sp"
            android:layout_marginRight="36sp"
            android:background="@drawable/shape_btn"
            android:text="登录"/>


    </LinearLayout>

<!--    <ImageView-->
<!--        android:layout_width="wrap_content"-->
<!--        android:layout_height="wrap_content"-->
<!--        android:layout_gravity="bottom"-->
<!--        android:src="@mipmap/login_bottom_bg" />-->

    <LinearLayout
        android:layout_gravity="bottom"
        android:gravity="center"
        android:orientation="vertical"
        android:layout_marginBottom="10sp"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

<!--        <TextView-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:layout_gravity="bottom"-->
<!--            android:gravity="center"-->
<!--            android:text="如您有任何问题，欢迎拨打服务热线"/>-->

<!--        <TextView-->
<!--            android:id="@+id/tx_callphone"-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:layout_gravity="bottom"-->
<!--            android:gravity="center"-->
<!--            android:textColor="@color/purple_700"-->
<!--            android:text="@string/call_phone"/>-->

        <TextView
            android:id="@+id/tx_verions"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom"
            android:gravity="center"
            tools:text="版本号:1.0.1.1"/>

    </LinearLayout>


</FrameLayout>